# frozen_string_literal: true

module Types
  # rubocop: disable Graphql/AuthorizeTypes
  class VulnerabilitySeveritiesCountType < BaseObject
    graphql_name 'VulnerabilitySeveritiesCount'
    description 'Represents vulnerability counts by severity'

    ::Vulnerabilities::Finding::SEVERITY_LEVELS.keys.each do |severity|
      field severity, GraphQL::INT_TYPE, null: true,
            description: "Number of vulnerabilities of #{severity.upcase} severity of the project"
    end
  end
end
